Bug 477087 - [TAHI] trap test failed for RFC3416
[TAHI] trap test failed for RFC3416
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: net-snmp (Show other bugs)
5.3
All Linux
low Severity medium
: rc
: ---
Assigned To: Jan Safranek
BaseOS QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-18 20:18 EST by wang jiabo
Modified: 2009-04-02 09:25 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-27 03:45:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description wang jiabo 2008-12-18 20:18:30 EST
Description of problem:
RHEL5.3 agent could not generate the
SNMPv2C-Trap PDU and sent it to the manager.

Version-Release number of selected component (if applicable):

   net-snmp-5.3.2.2-5.el5.i386
   net-snmp-utils-5.3.2.2-5.el5.i386
   net-snmp-perl-5.3.2.2-5.el5.i386
   net-snmp-libs-5.3.2.2-5.el5.i386

How reproducible:
every time

Steps to Reproduce:
1.
2.
3.
  
Actual results:
trap test failed

Expected results:
trap test pass

Additional info:
 

my log info:

  Test Information
Title Trap Test
CommandLine ./AG_RFC3416_Trap.seq -log 117.html -ti Trap Test
TestVersion MGM050_AG_0_9_0a
ToolVersion REL_3_1_0
Start 2008/12/11 15:04:17
Tn /usr/local/v6eval//etc//tn.def
Nu /usr/local/v6eval//etc//nut.def
Pkt ./packet.def
System rhel51
TargetName RHEL5.3
HostName ipv6test
Type host
Test Sequence Execution Log
15:04:17 Start
15:04:17 SNMP Listen
  SrcAddr:3ffe:501:ffff:100::20  SrcPort:162
done
  listening at SocketID:3

 Waiting for the NUT to send the TRAP
15:04:17 SNMP try to receive...
  SrcAddr:3ffe:501:ffff:100::10  SrcPort:161
  DstAddr:3ffe:501:ffff:100::20  DstPort:162

 __SNMPRecv: unable to receive any SNMP message.

 FAIL
15:05:17 End


TAHI Test Procedure:

NAME

        AG_RFC3416_Trap - Trap Test

Purpose

        Verify that NUT playing the SNMPv2C agent can properly generate the
SNMPv2C-Trap PDU and sent it to the manager.

TARGET

        SNMPv2-Agent

SYNOPSIS

 AG_RFC3416_Trap.seq [-tooloption ...]: KOI tool option
 See also SNMPConfig.pm

INITIALIZATION

        * Network Topology

          Net-x   --+--------+-----------------+--------
2001:ca0:ffff:0000::/64 
                    |                          |
                    |                          |
                  SNMP Agent1 (NUT)            SNMP Manager1 (TN)
                    2001:ca0:ffff:0000::2      2001:ca0:ffff:0000::1          


        * Setup


          Set the SNMP Agent1's (NUT) address as above mentioned Network
Topology.

TEST PROCEDURE

        This test sequence is following.

    SNMP Manager1 (TN)                       SNMP Agent1 (NUT)
        |                                      |
        |<-------------------------------------|
     OP1|   1. Send SNMPv2C Trap-PDU           |
        |                                      |
        |                                      |
        |                                      |
        v                                      v

        1. TN sends SNMPv2C Get scalar object to NUT by issuing SNMPv2C Get to
get sysDescr 1.3.6.1.2.1.1.1 in system group in MIB II.
        2. NUT replies SNMPv2C GetResponse with correct values to TN.

JUDGMENT

        OP1 TN received SNMPv2C response from NUT responding to SNMPv2C Get
scalar object request correctly.

        Received packet with
        1. SNMP version = 1,
           Community=same as NUT's SNMPv2C community 
           PDU type = A2
        2. Request-id is the same as the request id in the previously received
SNMPv2C GetRequest.
        3. Error-status must be equal to zero and error-index must be equal
zero.
        4. Value field is the system descriptor in system group of NUT with
correct syntax type and value within the defined range field.

TERMINATION

        None

REFERENCE

        RFC 3416, Protocol Operations for version 2 of the Simple Network
Management Prototol, Sec 4.2.1


my NUT(RHEL) address: eth0: 192.168.0.10, 3ffe:501:ffff:100::10/64
my TN(FreeBSD) address: rl0: 192.168.0.20, 3ffe:501:ffff:100::20/64


my snmp.conf file:


####
# First, map the community name "public" into a "security name"

#       sec.name  source          community
com2sec notConfigUser  default       public

####
# Second, map the security name into a group name:

#       groupName      securityModel securityName
group   notConfigGroup v1           notConfigUser
group   notConfigGroup v2c           notConfigUser

group           groupv3         usm     ipv6dod

####
# Third, create a view for us to let the group have rights to:

# Make at least  snmpwalk -v 1 localhost -c public system fast again.
#       name           incl/excl     subtree         mask(optional)
view    systemview    included   .1.3.6.1.2.1.1
view    systemview    included   .1.3.6.1.2.1.25.1.1

####
# Finally, grant the group read-only access to the systemview view.

#       group          context sec.model sec.level prefix read   write  notif
access  notConfigGroup ""      any       noauth    exact  systemview none none

# -----------------------------------------------------------------------------

# Here is a commented out example configuration that allows less
# restrictive access.

# YOU SHOULD CHANGE THE "COMMUNITY" TOKEN BELOW TO A NEW KEYWORD ONLY
# KNOWN AT YOUR SITE.  YOU *MUST* CHANGE THE NETWORK TOKEN BELOW TO
# SOMETHING REFLECTING YOUR LOCAL NETWORK ADDRESS SPACE.

##       sec.name  source          community
#com2sec local     localhost       COMMUNITY
#com2sec mynetwork NETWORK/24      COMMUNITY

com2sec local default public
com2sec6 local default public
com2sec mynet 192.168.0.0/24 public
com2sec mynet 3ffe:501:ffff:100::/64 public

createUser ipv6dod MD5 ipv6dodtest DES

##     group.name sec.model  sec.name
#group MyRWGroup  any        local
#group MyROGroup  any        mynetwork
#
#group MyRWGroup  any        otherv3user
#...
group   mygroup v1 mynet
group   mygroup v2c mynet
group   mygroup usm mynet
group   local v1 local
group   local v2c local
group   local usm local

##           incl/excl subtree                          mask
view all    included  .1                               80
## -or just the mib2 tree-

view mib2   included  .iso.org.dod.internet.mgmt.mib-2 fc
view        included  .iso                              80

##                context sec.model sec.level prefix read   write  notif
#access MyROGroup ""      any       noauth    0      all    none   none
#access MyRWGroup ""      any       noauth    0      all    all    all
access  mygroup    ""     any       noauth    exact  mib2   none    none
access  local     ""      any       noauth    exact  all     all    all
access  groupv3   ""      any       noauth    exact  all     all    all      

###############################################################################
# Sample configuration to make net-snmpd RFC 1213.
# Unfortunately v1 and v2c don't allow any user based authentification, so
# opening up the default config is not an option from a security point.
#
# WARNING: If you uncomment the following lines you allow write access to your
# snmpd daemon from any source! To avoid this use different names for your
# community or split out the write access to a different community and 
# restrict it to your local network.
# Also remember to comment the syslocation and syscontact parameters later as
# otherwise they are still read only (see FAQ for net-snmp).
#

# First, map the community name "public" into a "security name"
#       sec.name        source          community
#com2sec notConfigUser   default         public

# Second, map the security name into a group name:
#       groupName       securityModel   securityName
#group   notConfigGroup  v1              notConfigUser
#group   notConfigGroup  v2c             notConfigUser

# Third, create a view for us to let the group have rights to:
# Open up the whole tree for ro, make the RFC 1213 required ones rw.
#       name            incl/excl       subtree mask(optional)
#view    roview          included        .1
#view    rwview          included        system.sysContact
#view    rwview          included        system.sysName
#view    rwview          included        system.sysLocation
#view    rwview          included       
interfaces.ifTable.ifEntry.ifAdminStatus
#view    rwview          included        at.atTable.atEntry.atPhysAddress
#view    rwview          included        at.atTable.atEntry.atNetAddress
#view    rwview          included        ip.ipForwarding
#view    rwview          included        ip.ipDefaultTTL
#view    rwview          included       
ip.ipRouteTable.ipRouteEntry.ipRouteDest
#view    rwview          included       
ip.ipRouteTable.ipRouteEntry.ipRouteIfIndex
#view    rwview          included       
ip.ipRouteTable.ipRouteEntry.ipRouteMetric1
#view    rwview          included       
ip.ipRouteTable.ipRouteEntry.ipRouteMetric2
#view    rwview          included       
ip.ipRouteTable.ipRouteEntry.ipRouteMetric3
#view    rwview          included       
ip.ipRouteTable.ipRouteEntry.ipRouteMetric4
#view    rwview          included       
ip.ipRouteTable.ipRouteEntry.ipRouteType
#view    rwview          included       
ip.ipRouteTable.ipRouteEntry.ipRouteAge
#view    rwview          included       
ip.ipRouteTable.ipRouteEntry.ipRouteMask
#view    rwview          included       
ip.ipRouteTable.ipRouteEntry.ipRouteMetric5
#view    rwview          included       
ip.ipNetToMediaTable.ipNetToMediaEntry.ipNetToMediaIfIndex
#view    rwview          included       
ip.ipNetToMediaTable.ipNetToMediaEntry.ipNetToMediaPhysAddress
#view    rwview          included       
ip.ipNetToMediaTable.ipNetToMediaEntry.ipNetToMediaNetAddress
#view    rwview          included       
ip.ipNetToMediaTable.ipNetToMediaEntry.ipNetToMediaType
#view    rwview          included       
tcp.tcpConnTable.tcpConnEntry.tcpConnState
#view    rwview          included       
egp.egpNeighTable.egpNeighEntry.egpNeighEventTrigger
#view    rwview          included        snmp.snmpEnableAuthenTraps

# Finally, grant the group read-only access to the systemview view.
#       group          context sec.model sec.level prefix read   write  notif
#access  notConfigGroup ""      any       noauth    exact  roview rwview none



###############################################################################
# System contact information
#

# It is also possible to set the sysContact and sysLocation system
# variables through the snmpd.conf file:

syslocation raycom office (edit /etc/snmp/snmpd.conf)
syscontact jiabwang@redhat.com (configure /etc/snmp/snmp.local.conf)
sysservices  72
#sysUpTime      Timeticks:(595637548) 68 days, 22:32:55

# Example output of snmpwalk:
#   % snmpwalk -v 1 localhost -c public system
#   system.sysDescr.0 = "SunOS name sun4c"
#   system.sysObjectID.0 = OID: enterprises.ucdavis.ucdSnmpAgent.sunos4
#   system.sysUpTime.0 = Timeticks: (595637548) 68 days, 22:32:55
#   system.sysContact.0 = "Me <me@somewhere.org>"
#   system.sysName.0 = "name"
#   system.sysLocation.0 = "Right here, right now."
#   system.sysServices.0 = 72


# -----------------------------------------------------------------------------


###############################################################################
# Process checks.
#
#  The following are examples of how to use the agent to check for
#  processes running on the host.  The syntax looks something like:
#
#  proc NAME [MAX=0] [MIN=0]
#
#  NAME:  the name of the process to check for.  It must match
#         exactly (ie, http will not find httpd processes).
#  MAX:   the maximum number allowed to be running.  Defaults to 0.
#  MIN:   the minimum number to be running.  Defaults to 0.

#
#  Examples (commented out by default):
#

#  Make sure mountd is running
#proc mountd

#  Make sure there are no more than 4 ntalkds running, but 0 is ok too.
#proc ntalkd 4

#  Make sure at least one sendmail, but less than or equal to 10 are running.
#proc sendmail 10 1

#  A snmpwalk of the process mib tree would look something like this:
# 
# % snmpwalk -v 1 localhost -c public .1.3.6.1.4.1.2021.2
# enterprises.ucdavis.procTable.prEntry.prIndex.1 = 1
# enterprises.ucdavis.procTable.prEntry.prIndex.2 = 2
# enterprises.ucdavis.procTable.prEntry.prIndex.3 = 3
# enterprises.ucdavis.procTable.prEntry.prNames.1 = "mountd"
# enterprises.ucdavis.procTable.prEntry.prNames.2 = "ntalkd"
# enterprises.ucdavis.procTable.prEntry.prNames.3 = "sendmail"
# enterprises.ucdavis.procTable.prEntry.prMin.1 = 0
# enterprises.ucdavis.procTable.prEntry.prMin.2 = 0
# enterprises.ucdavis.procTable.prEntry.prMin.3 = 1
# enterprises.ucdavis.procTable.prEntry.prMax.1 = 0
# enterprises.ucdavis.procTable.prEntry.prMax.2 = 4
# enterprises.ucdavis.procTable.prEntry.prMax.3 = 10
# enterprises.ucdavis.procTable.prEntry.prCount.1 = 0
# enterprises.ucdavis.procTable.prEntry.prCount.2 = 0
# enterprises.ucdavis.procTable.prEntry.prCount.3 = 1
# enterprises.ucdavis.procTable.prEntry.prErrorFlag.1 = 1
# enterprises.ucdavis.procTable.prEntry.prErrorFlag.2 = 0
# enterprises.ucdavis.procTable.prEntry.prErrorFlag.3 = 0
# enterprises.ucdavis.procTable.prEntry.prErrMessage.1 = "No mountd process
running."
# enterprises.ucdavis.procTable.prEntry.prErrMessage.2 = ""
# enterprises.ucdavis.procTable.prEntry.prErrMessage.3 = ""
# enterprises.ucdavis.procTable.prEntry.prErrFix.1 = 0
# enterprises.ucdavis.procTable.prEntry.prErrFix.2 = 0
# enterprises.ucdavis.procTable.prEntry.prErrFix.3 = 0
#
#  Note that the errorFlag for mountd is set to 1 because one is not
#  running (in this case an rpc.mountd is, but thats not good enough),
#  and the ErrMessage tells you what's wrong.  The configuration
#  imposed in the snmpd.conf file is also shown.  
# 
#  Special Case:  When the min and max numbers are both 0, it assumes
#  you want a max of infinity and a min of 1.
#


# -----------------------------------------------------------------------------


###############################################################################
# Executables/scripts
#

#
#  You can also have programs run by the agent that return a single
#  line of output and an exit code.  Here are two examples.
#
#  exec NAME PROGRAM [ARGS ...]
#
#  NAME:     A generic name.
#  PROGRAM:  The program to run.  Include the path!
#  ARGS:     optional arguments to be passed to the program

# a simple hello world

#exec echotest /bin/echo hello world

# Run a shell script containing:
#
# #!/bin/sh
# echo hello world
# echo hi there
# exit 35
#
# Note:  this has been specifically commented out to prevent
# accidental security holes due to someone else on your system writing
# a /tmp/shtest before you do.  Uncomment to use it.
#
#exec shelltest /bin/sh /tmp/shtest

# Then, 
# % snmpwalk -v 1 localhost -c public .1.3.6.1.4.1.2021.8
# enterprises.ucdavis.extTable.extEntry.extIndex.1 = 1
# enterprises.ucdavis.extTable.extEntry.extIndex.2 = 2
# enterprises.ucdavis.extTable.extEntry.extNames.1 = "echotest"
# enterprises.ucdavis.extTable.extEntry.extNames.2 = "shelltest"
# enterprises.ucdavis.extTable.extEntry.extCommand.1 = "/bin/echo hello world"
# enterprises.ucdavis.extTable.extEntry.extCommand.2 = "/bin/sh /tmp/shtest"
# enterprises.ucdavis.extTable.extEntry.extResult.1 = 0
# enterprises.ucdavis.extTable.extEntry.extResult.2 = 35
# enterprises.ucdavis.extTable.extEntry.extOutput.1 = "hello world."
# enterprises.ucdavis.extTable.extEntry.extOutput.2 = "hello world."
# enterprises.ucdavis.extTable.extEntry.extErrFix.1 = 0
# enterprises.ucdavis.extTable.extEntry.extErrFix.2 = 0

# Note that the second line of the /tmp/shtest shell script is cut
# off.  Also note that the exit status of 35 was returned.

# -----------------------------------------------------------------------------


###############################################################################
# disk checks
#

# The agent can check the amount of available disk space, and make
# sure it is above a set limit.  

# disk PATH [MIN=100000]
#
# PATH:  mount path to the disk in question.
# MIN:   Disks with space below this value will have the Mib's errorFlag set.
#        Default value = 100000.

# Check the / partition and make sure it contains at least 10 megs.

#disk / 10000

# % snmpwalk -v 1 localhost -c public .1.3.6.1.4.1.2021.9
# enterprises.ucdavis.diskTable.dskEntry.diskIndex.1 = 0
# enterprises.ucdavis.diskTable.dskEntry.diskPath.1 = "/" Hex: 2F 
# enterprises.ucdavis.diskTable.dskEntry.diskDevice.1 = "/dev/dsk/c201d6s0"
# enterprises.ucdavis.diskTable.dskEntry.diskMinimum.1 = 10000
# enterprises.ucdavis.diskTable.dskEntry.diskTotal.1 = 837130
# enterprises.ucdavis.diskTable.dskEntry.diskAvail.1 = 316325
# enterprises.ucdavis.diskTable.dskEntry.diskUsed.1 = 437092
# enterprises.ucdavis.diskTable.dskEntry.diskPercent.1 = 58
# enterprises.ucdavis.diskTable.dskEntry.diskErrorFlag.1 = 0
# enterprises.ucdavis.diskTable.dskEntry.diskErrorMsg.1 = ""

# -----------------------------------------------------------------------------


###############################################################################
# load average checks
#

# load [1MAX=12.0] [5MAX=12.0] [15MAX=12.0]
#
# 1MAX:   If the 1 minute load average is above this limit at query
#         time, the errorFlag will be set.
# 5MAX:   Similar, but for 5 min average.
# 15MAX:  Similar, but for 15 min average.

# Check for loads:
#load 12 14 14

# % snmpwalk -v 1 localhost -c public .1.3.6.1.4.1.2021.10
# enterprises.ucdavis.loadTable.laEntry.loadaveIndex.1 = 1
# enterprises.ucdavis.loadTable.laEntry.loadaveIndex.2 = 2
# enterprises.ucdavis.loadTable.laEntry.loadaveIndex.3 = 3
# enterprises.ucdavis.loadTable.laEntry.loadaveNames.1 = "Load-1"
# enterprises.ucdavis.loadTable.laEntry.loadaveNames.2 = "Load-5"
# enterprises.ucdavis.loadTable.laEntry.loadaveNames.3 = "Load-15"
# enterprises.ucdavis.loadTable.laEntry.loadaveLoad.1 = "0.49" Hex: 30 2E 34 39 
# enterprises.ucdavis.loadTable.laEntry.loadaveLoad.2 = "0.31" Hex: 30 2E 33 31 
# enterprises.ucdavis.loadTable.laEntry.loadaveLoad.3 = "0.26" Hex: 30 2E 32 36 
# enterprises.ucdavis.loadTable.laEntry.loadaveConfig.1 = "12.00"
# enterprises.ucdavis.loadTable.laEntry.loadaveConfig.2 = "14.00"
# enterprises.ucdavis.loadTable.laEntry.loadaveConfig.3 = "14.00"
# enterprises.ucdavis.loadTable.laEntry.loadaveErrorFlag.1 = 0
# enterprises.ucdavis.loadTable.laEntry.loadaveErrorFlag.2 = 0
# enterprises.ucdavis.loadTable.laEntry.loadaveErrorFlag.3 = 0
# enterprises.ucdavis.loadTable.laEntry.loadaveErrMessage.1 = ""
# enterprises.ucdavis.loadTable.laEntry.loadaveErrMessage.2 = ""
# enterprises.ucdavis.loadTable.laEntry.loadaveErrMessage.3 = ""

# -----------------------------------------------------------------------------


###############################################################################
# Extensible sections.
# 

# This alleviates the multiple line output problem found in the
# previous executable mib by placing each mib in its own mib table:

# Run a shell script containing:
#
# #!/bin/sh
# echo hello world
# echo hi there
# exit 35
#
# Note:  this has been specifically commented out to prevent
# accidental security holes due to someone else on your system writing
# a /tmp/shtest before you do.  Uncomment to use it.
#
# exec .1.3.6.1.4.1.2021.50 shelltest /bin/sh /tmp/shtest

# % snmpwalk -v 1 localhost -c public .1.3.6.1.4.1.2021.50
# enterprises.ucdavis.50.1.1 = 1
# enterprises.ucdavis.50.2.1 = "shelltest"
# enterprises.ucdavis.50.3.1 = "/bin/sh /tmp/shtest"
# enterprises.ucdavis.50.100.1 = 35
# enterprises.ucdavis.50.101.1 = "hello world."
# enterprises.ucdavis.50.101.2 = "hi there."
# enterprises.ucdavis.50.102.1 = 0

# Now the Output has grown to two lines, and we can see the 'hi
# there.' output as the second line from our shell script.
#
# Note that you must alter the mib.txt file to be correct if you want
# the .50.* outputs above to change to reasonable text descriptions.

# Other ideas:
# 
# exec .1.3.6.1.4.1.2021.51 ps /bin/ps 
# exec .1.3.6.1.4.1.2021.52 top /usr/local/bin/top
# exec .1.3.6.1.4.1.2021.53 mailq /usr/bin/mailq

# -----------------------------------------------------------------------------


###############################################################################
# Pass through control.
# 

# Usage:
#   pass MIBOID EXEC-COMMAND
#
# This will pass total control of the mib underneath the MIBOID
# portion of the mib to the EXEC-COMMAND.  
#
# Note:  You'll have to change the path of the passtest script to your
# source directory or install it in the given location.
# 
# Example:  (see the script for details)
#           (commented out here since it requires that you place the
#           script in the right location. (its not installed by default))

# pass .1.3.6.1.4.1.2021.255 /bin/sh /usr/local/local/passtest

# % snmpwalk -v 1 localhost -c public .1.3.6.1.4.1.2021.255
# enterprises.ucdavis.255.1 = "life the universe and everything"
# enterprises.ucdavis.255.2.1 = 42
# enterprises.ucdavis.255.2.2 = OID: 42.42.42
# enterprises.ucdavis.255.3 = Timeticks: (363136200) 42 days, 0:42:42
# enterprises.ucdavis.255.4 = IpAddress: 127.0.0.1
# enterprises.ucdavis.255.5 = 42
# enterprises.ucdavis.255.6 = Gauge: 42
#
# % snmpget -v 1 localhost public .1.3.6.1.4.1.2021.255.5
# enterprises.ucdavis.255.5 = 42
#
# % snmpset -v 1 localhost public .1.3.6.1.4.1.2021.255.1 s "New string"
# enterprises.ucdavis.255.1 = "New string"
#

# For specific usage information, see the man/snmpd.conf.5 manual page
# as well as the local/passtest script used in the above example.

# Added for support of bcm5820 cards.
pass .1.3.6.1.4.1.4413.4.1 /usr/bin/ucd5820stat

###############################################################################
# Further Information
#
#  See the snmpd.conf manual page, and the output of "snmpd -H".
Comment 1 Jan Safranek 2009-01-20 09:03:40 EST
I am not sure I understand the report correctly. In the TEST PROCEDURE chapter, there is a simple call-flow, where NUT (i.e. RHEL 5.3/snmpd) sends trap to the test suite running somewhere. So far so good.

But just one line below the description says "1. TN sends SNMPv2C Get scalar object to NUT by issuing SNMPv2C Get ...". This PDU is not in the call flow. And why it should be sent???? IMHO the description does not fit to the call flow above. From the test output I guess that the test suite does not send any packet and it just waits for (any?) incoming trap.

I miss some indication what stimulates snmpd to send a trap - trap is notification, that 'something' happened. And the 'something' should be explicitly configured in snmpd.conf, together with trap target. E.g. if you add 'trap2sink udp6:[::1]:162 public' to your snmpd.conf, snmpd will send all traps as SNMPv2 traps to [::1]:162. 

You can configure various events, which shall be reported by traps, e.g. you can send a trap when amount of free disk space becomes lower than 100MB. See man snmpd.conf, section "DisMan Event MIB".

By default, snmpd sends SNMPv2-MIB::coldStart trap on startup, maybe it's enough for your tests. All you need to do is to set it's destination using trapsink, trap2sink or trapsess statement in snmpd.conf (depending if you want SNMPv1,v2 or v3 trap) - see appropriate man page.
Comment 2 Jan Safranek 2009-03-05 04:41:44 EST
guys, is here any progress on this test case? Did you manage to get a trap out of snmpd? Do you need any assistance?
Comment 3 wang jiabo 2009-03-19 00:58:20 EDT
yes.the test suite did not send any packet and just waits for incoming trap.
I add trap2sink udp6:[::1]:162 public to snmpd.conf,
and run snmptrap -v 2c -c public udp6:[::1]:162 "" SNMPv2-MIB::coldStart
but the case still failed.
Comment 4 wang jiabo 2009-03-23 06:36:01 EDT
I got the following info:
please look:
   tcpdump log:

  tcpdump -r snmpdump.dump 
reading from file snmpdump.dump, link-type EN10MB (Ethernet)
18:13:59.059891 IP6 3ffe:501:ffff:100::20 > 3ffe:501:ffff:100:21d:fff:fe0f:be4e: ICMP6, neighbor solicitation, who has 3ffe:501:ffff:100:21d:fff:fe0f:be4e, length 32
18:13:59.059944 IP6 3ffe:501:ffff:100:21d:fff:fe0f:be4e > 3ffe:501:ffff:100::20: ICMP6, neighbor advertisement, tgt is 3ffe:501:ffff:100:21d:fff:fe0f:be4e, length 24

snmpd.log

registered debug token dump, 1
registered debug token trap, 1
trap: adding callback trap sink
trapsess: adding to trap table
trap: send_trap 0 0 NET-SNMP-MIB::netSnmpAgentOIDs.10
trap: sending trap type=167, version=1
dumph_send: TRAP2
dumph_send:   VarBind
dumph_send:     Value
dumpx_send:      06 0A 2B 06 01 04 01 BF 08 03 02 0A 
dumpv_send:        ObjID: NET-SNMP-MIB::netSnmpAgentOIDs.10
dumph_send:     Name
dumpx_send:      06 0A 2B 06 01 06 03 01 01 04 03 00 
dumpv_send:        ObjID: SNMPv2-MIB::snmpTrapEnterprise.0
dumph_send:   VarBind
dumph_send:     Value
dumpx_send:      06 09 2B 06 01 06 03 01 01 05 01 
dumpv_send:        ObjID: SNMPv2-MIB::coldStart
dumph_send:     Name
dumpx_send:      06 0A 2B 06 01 06 03 01 01 04 01 00 
dumpv_send:        ObjID: SNMPv2-MIB::snmpTrapOID.0
dumph_send:   VarBind
dumph_send:     Value
dumpx_send:      43 02 00 87 
dumpv_send:        UInteger:	135 (0x87)
dumph_send:     Name
dumpx_send:      06 08 2B 06 01 02 01 01 03 00 
dumpv_send:        ObjID: DISMAN-EVENT-MIB::sysUpTimeInstance
dumph_send: error index
dumpx_send:  02 01 00 
dumpv_send:    Integer:	0 (0x00)
dumph_send: error status
dumpx_send:  02 01 00 
dumpv_send:    Integer:	0 (0x00)
dumph_send: request_id
dumpx_send:  02 04 6E BC 1D 7F 
dumpv_send:    Integer:	1857822079 (0x6EBC1D7F)
dumph_send: Community String
dumpx_send:  04 06 70 75 62 6C 69 63 
dumpv_send:    String:	public
dumph_send: SNMP Version Number
dumpx_send:  02 01 01 
dumpv_send:    Integer:	1 (0x01)
dumph_send: SNMPv2c Message
snmpd: send_trap: Failure in sendto (Network is unreachable)
NET-SNMP version 5.3.2.2
Connection from UDP: [127.0.0.1]:33976
dumpx_recv:02 01 01 
dumpv_recv:  Integer:	1 (0x01)
dumph_recv: SNMPv2c message

dumph_recv:   SNMP version
dumpx_recv:    02 01 01 
dumpv_recv:      Integer:	1 (0x01)
dumph_recv:   community string
dumpx_recv:    04 06 70 75 62 6C 69 63 
dumpv_recv:      String:	public
dumph_recv:   PDU
dumpv_recv:     Command SET
dumph_recv:     request_id
dumpx_recv:      02 04 32 35 9E AF 
dumpv_recv:        Integer:	842374831 (0x32359EAF)
dumph_recv:     error status
dumpx_recv:      02 01 00 
dumpv_recv:        Integer:	0 (0x00)
dumph_recv:     error index
dumpx_recv:      02 01 00 
dumpv_recv:        Integer:	0 (0x00)
dumph_recv:     VarBindList
dumph_recv:       VarBind
dumph_recv:         Name
dumpx_recv:          06 14 2B 06 01 04 01 BF 08 01 05 03 01 02 01 03 
06 01 02 01 04 23 
dumpv_recv:            ObjID: NET-SNMP-AGENT-MIB::nsCacheTimeout.1.3.6.1.2.1.4.35
dumph_recv:         Value
dumpx_recv:          02 01 00 
dumpv_recv:            Integer:	0 (0x00)
dumph_send: RESPONSE
dumph_send:   VarBind
dumph_send:     Value
dumpx_send:      02 01 00 
dumpv_send:        Integer:	0 (0x00)
dumph_send:     Name
dumpx_send:      06 14 2B 06 01 04 01 BF 08 01 05 03 01 02 01 03 
06 01 02 01 04 23 
dumpv_send:        ObjID: NET-SNMP-AGENT-MIB::nsCacheTimeout.1.3.6.1.2.1.4.35
dumph_send: error index
dumpx_send:  02 01 00 
dumpv_send:    Integer:	0 (0x00)
dumph_send: error status
dumpx_send:  02 01 00 
dumpv_send:    Integer:	0 (0x00)
dumph_send: request_id
dumpx_send:  02 04 32 35 9E AF 
dumpv_send:    Integer:	842374831 (0x32359EAF)
dumph_send: Community String
dumpx_send:  04 06 70 75 62 6C 69 63 
dumpv_send:    String:	public
dumph_send: SNMP Version Number
dumpx_send:  02 01 01 
dumpv_send:    Integer:	1 (0x01)
dumph_send: SNMPv2c Message
Connection from UDP: [127.0.0.1]:35559
dumpx_recv:02 01 01 
dumpv_recv:  Integer:	1 (0x01)
dumph_recv: SNMPv2c message

dumph_recv:   SNMP version
dumpx_recv:    02 01 01 
dumpv_recv:      Integer:	1 (0x01)
dumph_recv:   community string
dumpx_recv:    04 06 70 75 62 6C 69 63 
dumpv_recv:      String:	public
dumph_recv:   PDU
dumpv_recv:     Command SET
dumph_recv:     request_id
dumpx_recv:      02 04 62 94 4E 3C 
dumpv_recv:        Integer:	1653886524 (0x62944E3C)
dumph_recv:     error status
dumpx_recv:      02 01 00 
dumpv_recv:        Integer:	0 (0x00)
dumph_recv:     error index
dumpx_recv:      02 01 00 
dumpv_recv:        Integer:	0 (0x00)
dumph_recv:     VarBindList
dumph_recv:       VarBind
dumph_recv:         Name
dumpx_recv:          06 14 2B 06 01 04 01 BF 08 01 05 03 01 02 01 03 
06 01 02 01 05 1D 
dumpv_recv:            ObjID: NET-SNMP-AGENT-MIB::nsCacheTimeout.1.3.6.1.2.1.5.29
dumph_recv:         Value
dumpx_recv:          02 01 00 
dumpv_recv:            Integer:	0 (0x00)
dumph_send: RESPONSE
dumph_send:   VarBind
dumph_send:     Value
dumpx_send:      02 01 00 
dumpv_send:        Integer:	0 (0x00)
dumph_send:     Name
dumpx_send:      06 14 2B 06 01 04 01 BF 08 01 05 03 01 02 01 03 
06 01 02 01 05 1D 
dumpv_send:        ObjID: NET-SNMP-AGENT-MIB::nsCacheTimeout.1.3.6.1.2.1.5.29
dumph_send: error index
dumpx_send:  02 01 00 
dumpv_send:    Integer:	0 (0x00)
dumph_send: error status
dumpx_send:  02 01 00 
dumpv_send:    Integer:	0 (0x00)
dumph_send: request_id
dumpx_send:  02 04 62 94 4E 3C 
dumpv_send:    Integer:	1653886524 (0x62944E3C)
dumph_send: Community String
dumpx_send:  04 06 70 75 62 6C 69 63 
dumpv_send:    String:	public
dumph_send: SNMP Version Number
dumpx_send:  02 01 01 
dumpv_send:    Integer:	1 (0x01)
dumph_send: SNMPv2c Message
Connection from UDP/IPv6: [3ffe:501:ffff:100::20]:2000
dumpx_recv:02 01 01 
dumpv_recv:  Integer:	1 (0x01)
dumph_recv: SNMPv2c message

dumph_recv:   SNMP version
dumpx_recv:    02 01 01 
dumpv_recv:      Integer:	1 (0x01)
dumph_recv:   community string
dumpx_recv:    04 06 70 75 62 6C 69 63 
dumpv_recv:      String:	public
dumph_recv:   PDU
dumpv_recv:     Command GET
dumph_recv:     request_id
dumpx_recv:      02 01 0C 
dumpv_recv:        Integer:	12 (0x0C)
dumph_recv:     error status
dumpx_recv:      02 01 00 
dumpv_recv:        Integer:	0 (0x00)
dumph_recv:     error index
dumpx_recv:      02 01 00 
dumpv_recv:        Integer:	0 (0x00)
dumph_recv:     VarBindList
dumph_recv:       VarBind
dumph_recv:         Name
dumpx_recv:          06 08 2B 06 01 02 01 01 01 00 
dumpv_recv:            ObjID: SNMPv2-MIB::sysDescr.0
dumph_recv:         Value
dumph_send: RESPONSE
dumph_send:   VarBind
dumph_send:     Value
dumpx_send:      04 46 4C 69 6E 75 78 20 69 70 76 36 74 65 73 74 
20 32 2E 36 2E 31 38 2D 31 32 38 2E 65 6C 35 20 
23 31 20 53 4D 50 20 57 65 64 20 44 65 63 20 31 
37 20 31 31 3A 34 32 3A 33 39 20 45 53 54 20 32 
30 30 38 20 69 36 38 36 
dumpv_send:        String:	Linux ipv6test 2.6.18-128.el5 #1 SMP Wed Dec 17 11:42:39 EST 2008 i686
dumph_send:     Name
dumpx_send:      06 08 2B 06 01 02 01 01 01 00 
dumpv_send:        ObjID: SNMPv2-MIB::sysDescr.0
dumph_send: error index
dumpx_send:  02 01 00 
dumpv_send:    Integer:	0 (0x00)
dumph_send: error status
dumpx_send:  02 01 00 
dumpv_send:    Integer:	0 (0x00)
dumph_send: request_id
dumpx_send:  02 01 0C 
dumpv_send:    Integer:	12 (0x0C)
dumph_send: Community String
dumpx_send:  04 06 70 75 62 6C 69 63 
dumpv_send:    String:	public
dumph_send: SNMP Version Number
dumpx_send:  02 01 01 
dumpv_send:    Integer:	1 (0x01)
dumph_send: SNMPv2c Message
Comment 5 Jan Safranek 2009-03-23 09:49:34 EDT
(In reply to comment #4)

> snmpd: send_trap: Failure in sendto (Network is unreachable)

strange... could you please attach snmpd.conf, which generated such error?
Comment 6 Jan Safranek 2009-03-23 09:53:01 EDT
looking into the code... I'd appreciate also output of "snmpd -f -Lo -Ddump,trap -d" (note the new '-d' parameter).
Comment 7 wang jiabo 2009-03-23 22:09:24 EDT
snmpd.conf:

com2sec local default public
com2sec6 local default public
com2sec mynet 192.168.0.0/24 public
com2sec6 mynet 3ffe:501:ffff:100::/64 public
rwcommunity public
rwcommunity6 public
agentaddress udp6:161
agentaddress udp:161
trapcommunity public
agentaddress udp6:162

trap2sink udp6:[3ffe:501:ffff:100::20]:162 public

# sec.model sec.name
group mygroup v1 mynet
group mygroup v2c mynet
group mygroup usm mynet
group local v1 local
group local v2c local
group local usm local

# Second, map the security name into a group name:
group   groupv3        usm          ipv6dod

# incl/excl subtree mask
view all included .1.3.6
view all included .1 80
view mib2 included .iso.org.dod.internet.mgmt.mib-2 fc

view all	included  .iso   80

# context sec.model sec.level prefix read write notify
access mygroup "" any noauth exact mib2 none none
access local "" any noauth exact all all all
access groupv3 "" any auth exact all all all

# It is also possible to set the sysContact and sysLocation system
# variables through the snmpd.conf file:
syslocation raycom office, Redhat China Research and Development Centre
sysServices 72




log info:
[root@ipv6test ~]# cat /var/log/snmpd.log
registered debug token dump, 1
registered debug token trap, 1
trap: adding callback trap sink
trapsess: adding to trap table
trap: send_trap 0 0 NET-SNMP-MIB::netSnmpAgentOIDs.10
trap: sending trap type=167, version=1
dumph_send: TRAP2
dumph_send:   VarBind
dumph_send:     Value
dumpx_send:      06 0A 2B 06 01 04 01 BF 08 03 02 0A 
dumpv_send:        ObjID: NET-SNMP-MIB::netSnmpAgentOIDs.10
dumph_send:     Name
dumpx_send:      06 0A 2B 06 01 06 03 01 01 04 03 00 
dumpv_send:        ObjID: SNMPv2-MIB::snmpTrapEnterprise.0
dumph_send:   VarBind
dumph_send:     Value
dumpx_send:      06 09 2B 06 01 06 03 01 01 05 01 
dumpv_send:        ObjID: SNMPv2-MIB::coldStart
dumph_send:     Name
dumpx_send:      06 0A 2B 06 01 06 03 01 01 04 01 00 
dumpv_send:        ObjID: SNMPv2-MIB::snmpTrapOID.0
dumph_send:   VarBind
dumph_send:     Value
dumpx_send:      43 01 7E 
dumpv_send:        UInteger:	126 (0x7E)
dumph_send:     Name
dumpx_send:      06 08 2B 06 01 02 01 01 03 00 
dumpv_send:        ObjID: DISMAN-EVENT-MIB::sysUpTimeInstance
dumph_send: error index
dumpx_send:  02 01 00 
dumpv_send:    Integer:	0 (0x00)
dumph_send: error status
dumpx_send:  02 01 00 
dumpv_send:    Integer:	0 (0x00)
dumph_send: request_id
dumpx_send:  02 04 29 83 26 AE 
dumpv_send:    Integer:	696460974 (0x298326AE)
dumph_send: Community String
dumpx_send:  04 06 70 75 62 6C 69 63 
dumpv_send:    String:	public
dumph_send: SNMP Version Number
dumpx_send:  02 01 01 
dumpv_send:    Integer:	1 (0x01)
dumph_send: SNMPv2c Message

Sending 95 bytes to UDP/IPv6: [3ffe:501:ffff:100::20]:162
0000: 30 5D 02 01  01 04 06 70  75 62 6C 69  63 A7 50 02    0].....public.P.
0016: 04 29 83 26  AE 02 01 00  02 01 00 30  42 30 0D 06    .).&.......0B0..
0032: 08 2B 06 01  02 01 01 03  00 43 01 7E  30 17 06 0A    .+.......C.~0...
0048: 2B 06 01 06  03 01 01 04  01 00 06 09  2B 06 01 06    +...........+...
0064: 03 01 01 05  01 30 18 06  0A 2B 06 01  06 03 01 01    .....0...+......
0080: 04 03 00 06  0A 2B 06 01  04 01 BF 08  03 02 0A       .....+.........

snmpd: send_trap: Failure in sendto (Network is unreachable)
NET-SNMP version 5.3.2.2

Received 56 bytes from UDP: [127.0.0.1]:37314
0000: 30 36 02 01  01 04 06 70  75 62 6C 69  63 A3 29 02    06.....public.).
0016: 04 4F 67 C7  9F 02 01 00  02 01 00 30  1B 30 19 06    .Og........0.0..
0032: 14 2B 06 01  04 01 BF 08  01 05 03 01  02 01 03 06    .+..............
0048: 01 02 01 04  23 02 01 00                              ....#...

Connection from UDP: [127.0.0.1]:37314
Received SNMP packet(s) from UDP: [127.0.0.1]:37314
dumpx_recv:02 01 01 
dumpv_recv:  Integer:	1 (0x01)
dumph_recv: SNMPv2c message

dumph_recv:   SNMP version
dumpx_recv:    02 01 01 
dumpv_recv:      Integer:	1 (0x01)
dumph_recv:   community string
dumpx_recv:    04 06 70 75 62 6C 69 63 
dumpv_recv:      String:	public
dumph_recv:   PDU
dumpv_recv:     Command SET
dumph_recv:     request_id
dumpx_recv:      02 04 4F 67 C7 9F 
dumpv_recv:        Integer:	1332201375 (0x4F67C79F)
dumph_recv:     error status
dumpx_recv:      02 01 00 
dumpv_recv:        Integer:	0 (0x00)
dumph_recv:     error index
dumpx_recv:      02 01 00 
dumpv_recv:        Integer:	0 (0x00)
dumph_recv:     VarBindList
dumph_recv:       VarBind
dumph_recv:         Name
dumpx_recv:          06 14 2B 06 01 04 01 BF 08 01 05 03 01 02 01 03 
06 01 02 01 04 23 
dumpv_recv:            ObjID: NET-SNMP-AGENT-MIB::nsCacheTimeout.1.3.6.1.2.1.4.35
dumph_recv:         Value
dumpx_recv:          02 01 00 
dumpv_recv:            Integer:	0 (0x00)
  SET message
    -- NET-SNMP-AGENT-MIB::nsCacheTimeout.1.3.6.1.2.1.4.35
dumph_send: RESPONSE
dumph_send:   VarBind
dumph_send:     Value
dumpx_send:      02 01 00 
dumpv_send:        Integer:	0 (0x00)
dumph_send:     Name
dumpx_send:      06 14 2B 06 01 04 01 BF 08 01 05 03 01 02 01 03 
06 01 02 01 04 23 
dumpv_send:        ObjID: NET-SNMP-AGENT-MIB::nsCacheTimeout.1.3.6.1.2.1.4.35
dumph_send: error index
dumpx_send:  02 01 00 
dumpv_send:    Integer:	0 (0x00)
dumph_send: error status
dumpx_send:  02 01 00 
dumpv_send:    Integer:	0 (0x00)
dumph_send: request_id
dumpx_send:  02 04 4F 67 C7 9F 
dumpv_send:    Integer:	1332201375 (0x4F67C79F)
dumph_send: Community String
dumpx_send:  04 06 70 75 62 6C 69 63 
dumpv_send:    String:	public
dumph_send: SNMP Version Number
dumpx_send:  02 01 01 
dumpv_send:    Integer:	1 (0x01)
dumph_send: SNMPv2c Message

Sending 56 bytes to UDP: [127.0.0.1]:37314
0000: 30 36 02 01  01 04 06 70  75 62 6C 69  63 A2 29 02    06.....public.).
0016: 04 4F 67 C7  9F 02 01 00  02 01 00 30  1B 30 19 06    .Og........0.0..
0032: 14 2B 06 01  04 01 BF 08  01 05 03 01  02 01 03 06    .+..............
0048: 01 02 01 04  23 02 01 00                              ....#...


Received 56 bytes from UDP: [127.0.0.1]:52984
0000: 30 36 02 01  01 04 06 70  75 62 6C 69  63 A3 29 02    06.....public.).
0016: 04 6F 6F 39  96 02 01 00  02 01 00 30  1B 30 19 06    .oo9.......0.0..
0032: 14 2B 06 01  04 01 BF 08  01 05 03 01  02 01 03 06    .+..............
0048: 01 02 01 05  1D 02 01 00                              ........

Connection from UDP: [127.0.0.1]:52984
Received SNMP packet(s) from UDP: [127.0.0.1]:52984
dumpx_recv:02 01 01 
dumpv_recv:  Integer:	1 (0x01)
dumph_recv: SNMPv2c message

dumph_recv:   SNMP version
dumpx_recv:    02 01 01 
dumpv_recv:      Integer:	1 (0x01)
dumph_recv:   community string
dumpx_recv:    04 06 70 75 62 6C 69 63 
dumpv_recv:      String:	public
dumph_recv:   PDU
dumpv_recv:     Command SET
dumph_recv:     request_id
dumpx_recv:      02 04 6F 6F 39 96 
dumpv_recv:        Integer:	1869560214 (0x6F6F3996)
dumph_recv:     error status
dumpx_recv:      02 01 00 
dumpv_recv:        Integer:	0 (0x00)
dumph_recv:     error index
dumpx_recv:      02 01 00 
dumpv_recv:        Integer:	0 (0x00)
dumph_recv:     VarBindList
dumph_recv:       VarBind
dumph_recv:         Name
dumpx_recv:          06 14 2B 06 01 04 01 BF 08 01 05 03 01 02 01 03 
06 01 02 01 05 1D 
dumpv_recv:            ObjID: NET-SNMP-AGENT-MIB::nsCacheTimeout.1.3.6.1.2.1.5.29
dumph_recv:         Value
dumpx_recv:          02 01 00 
dumpv_recv:            Integer:	0 (0x00)
  SET message
    -- NET-SNMP-AGENT-MIB::nsCacheTimeout.1.3.6.1.2.1.5.29
dumph_send: RESPONSE
dumph_send:   VarBind
dumph_send:     Value
dumpx_send:      02 01 00 
dumpv_send:        Integer:	0 (0x00)
dumph_send:     Name
dumpx_send:      06 14 2B 06 01 04 01 BF 08 01 05 03 01 02 01 03 
06 01 02 01 05 1D 
dumpv_send:        ObjID: NET-SNMP-AGENT-MIB::nsCacheTimeout.1.3.6.1.2.1.5.29
dumph_send: error index
dumpx_send:  02 01 00 
dumpv_send:    Integer:	0 (0x00)
dumph_send: error status
dumpx_send:  02 01 00 
dumpv_send:    Integer:	0 (0x00)
dumph_send: request_id
dumpx_send:  02 04 6F 6F 39 96 
dumpv_send:    Integer:	1869560214 (0x6F6F3996)
dumph_send: Community String
dumpx_send:  04 06 70 75 62 6C 69 63 
dumpv_send:    String:	public
dumph_send: SNMP Version Number
dumpx_send:  02 01 01 
dumpv_send:    Integer:	1 (0x01)
dumph_send: SNMPv2c Message

Sending 56 bytes to UDP: [127.0.0.1]:52984
0000: 30 36 02 01  01 04 06 70  75 62 6C 69  63 A2 29 02    06.....public.).
0016: 04 6F 6F 39  96 02 01 00  02 01 00 30  1B 30 19 06    .oo9.......0.0..
0032: 14 2B 06 01  04 01 BF 08  01 05 03 01  02 01 03 06    .+..............
0048: 01 02 01 05  1D 02 01 00                              ........


Received 40 bytes from UDP/IPv6: [3ffe:501:ffff:100::20]:2000
0000: 30 26 02 01  01 04 06 70  75 62 6C 69  63 A0 19 02    0&.....public...
0016: 01 0C 02 01  00 02 01 00  30 0E 30 0C  06 08 2B 06    ........0.0...+.
0032: 01 02 01 01  01 00 05 00                              ........

Connection from UDP/IPv6: [3ffe:501:ffff:100::20]:2000
Received SNMP packet(s) from UDP/IPv6: [3ffe:501:ffff:100::20]:2000
dumpx_recv:02 01 01 
dumpv_recv:  Integer:	1 (0x01)
dumph_recv: SNMPv2c message

dumph_recv:   SNMP version
dumpx_recv:    02 01 01 
dumpv_recv:      Integer:	1 (0x01)
dumph_recv:   community string
dumpx_recv:    04 06 70 75 62 6C 69 63 
dumpv_recv:      String:	public
dumph_recv:   PDU
dumpv_recv:     Command GET
dumph_recv:     request_id
dumpx_recv:      02 01 0C 
dumpv_recv:        Integer:	12 (0x0C)
dumph_recv:     error status
dumpx_recv:      02 01 00 
dumpv_recv:        Integer:	0 (0x00)
dumph_recv:     error index
dumpx_recv:      02 01 00 
dumpv_recv:        Integer:	0 (0x00)
dumph_recv:     VarBindList
dumph_recv:       VarBind
dumph_recv:         Name
dumpx_recv:          06 08 2B 06 01 02 01 01 01 00 
dumpv_recv:            ObjID: SNMPv2-MIB::sysDescr.0
dumph_recv:         Value
  GET message
    -- SNMPv2-MIB::sysDescr.0
dumph_send: RESPONSE
dumph_send:   VarBind
dumph_send:     Value
dumpx_send:      04 46 4C 69 6E 75 78 20 69 70 76 36 74 65 73 74 
20 32 2E 36 2E 31 38 2D 31 32 38 2E 65 6C 35 20 
23 31 20 53 4D 50 20 57 65 64 20 44 65 63 20 31 
37 20 31 31 3A 34 32 3A 33 39 20 45 53 54 20 32 
30 30 38 20 69 36 38 36 
dumpv_send:        String:	Linux ipv6test 2.6.18-128.el5 #1 SMP Wed Dec 17 11:42:39 EST 2008 i686
dumph_send:     Name
dumpx_send:      06 08 2B 06 01 02 01 01 01 00 
dumpv_send:        ObjID: SNMPv2-MIB::sysDescr.0
dumph_send: error index
dumpx_send:  02 01 00 
dumpv_send:    Integer:	0 (0x00)
dumph_send: error status
dumpx_send:  02 01 00 
dumpv_send:    Integer:	0 (0x00)
dumph_send: request_id
dumpx_send:  02 01 0C 
dumpv_send:    Integer:	12 (0x0C)
dumph_send: Community String
dumpx_send:  04 06 70 75 62 6C 69 63 
dumpv_send:    String:	public
dumph_send: SNMP Version Number
dumpx_send:  02 01 01 
dumpv_send:    Integer:	1 (0x01)
dumph_send: SNMPv2c Message

Sending 110 bytes to UDP/IPv6: [3ffe:501:ffff:100::20]:2000
0000: 30 6C 02 01  01 04 06 70  75 62 6C 69  63 A2 5F 02    0l.....public._.
0016: 01 0C 02 01  00 02 01 00  30 54 30 52  06 08 2B 06    ........0T0R..+.
0032: 01 02 01 01  01 00 04 46  4C 69 6E 75  78 20 69 70    .......FLinux ip
0048: 76 36 74 65  73 74 20 32  2E 36 2E 31  38 2D 31 32    v6test 2.6.18-12
0064: 38 2E 65 6C  35 20 23 31  20 53 4D 50  20 57 65 64    8.el5 #1 SMP Wed
0080: 20 44 65 63  20 31 37 20  31 31 3A 34  32 3A 33 39     Dec 17 11:42:39
0096: 20 45 53 54  20 32 30 30  38 20 69 36  38 36           EST 2008 i686
Comment 8 wang jiabo 2009-03-27 03:45:54 EDT
the test suite bug, no our snmp bug

Note You need to log in before you can comment on or make changes to this bug.